org.apache.sis.distance

## Class LatLonPointRadius

- Object
- - LatLonPointRadius

-     public class LatLonPointRadius
      extends Object

  Represents a 2D point associated with a radius to enable great circle estimation on earth surface.
  Warning: This class may be refactored as a geometric object in a future SIS version. Current implementation does not verify the CRS of circle center or the datum.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatLonPointRadius(DirectPosition center, double radius)` Creates a representation of point-radius search region.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectPosition2D[]` | `getCircularRegionApproximation(int numberOfPoints)` Gets the circular region approximation on the earth surface using haversine formula.
    `Rectangle2D` | `getRectangularRegionApproximation(int numberOfPoints)` Calculates the rectangular region enclosing the circular search region.

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatLonPointRadius

          public LatLonPointRadius(DirectPosition center,
                                   double radius)

      Creates a representation of point-radius search region.
      Parameters:
        `center` - the center of the search region
        `radius` - the radius of the search region

  - ### Method Detail

    - #### getCircularRegionApproximation

          public DirectPosition2D[] getCircularRegionApproximation(int numberOfPoints)

      Gets the circular region approximation on the earth surface using haversine formula.
      Parameters:
        `numberOfPoints` - the number of points used to estimate the circular region
      Returns:
        an array of DirectPosition2D representing the points that estimate the circular region

    - #### getRectangularRegionApproximation

          public Rectangle2D getRectangularRegionApproximation(int numberOfPoints)

      Calculates the rectangular region enclosing the circular search region.
      Parameters:
        `numberOfPoints` - the number of points used to estimate the circular search region
      Returns:
        Java Rectangle2D object that bounds the circlar search region

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.